<?php 
session_start(); 
require_once('../conexion.php');
require_once('../include/sesiones.php');
$mov_id_eliminar=limpiar($_GET['mov_id']);
$can=mysqli_query($con,"SELECT * FROM movimientos WHERE mov_id='$mov_id_eliminar' ") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$mov_tipo_movimiento=$dato['mov_tipo_movimiento'];
$mov_total=$dato['mov_total'];

if($mov_tipo_movimiento=='Abono apartado')
{
    $sql=mysqli_query($con, "SELECT * from venta_apartada_abonos WHERE mov_id='$mov_id_eliminar' ");
    $sql=mysqli_fetch_array($sql);
    $ventas_apartadas_vena_id=$sql['ventas_apartadas_vena_id'];
    $sql2=mysqli_query($con, "SELECT * from ventas_apartadas WHERE vena_id='$ventas_apartadas_vena_id' ");
    $sql2=mysqli_fetch_array($sql2);
    $vena_estado=$sql2['vena_estado'];
    /*if($vena_estado=='pagada')
    {
        $sql3=mysqli_query($con,"UPDATE ventas_apartadas Set
                                vena_estado='apartada'                   
                                Where vena_id='$ventas_apartadas_vena_id'") or  die(mysqli_error($con)); 
    }*/
    $borrar_sql4=mysqli_query($con,"DELETE FROM venta_apartada_abonos WHERE mov_id='$mov_id_eliminar'") or die(mysqli_error($con));
    $borrar_sql6=mysqli_query($con,"DELETE FROM movimientos WHERE mov_id='$mov_id_eliminar'") or die(mysqli_error($con));
   
    echo '<div class="alert alert-success alert-dismissable">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <strong>Abono eliminado correctamente.</strong>
    </div>';
}


if($mov_tipo_movimiento=='Abono orden de servicio')
{
    $borrar_sql4=mysqli_query($con,"DELETE FROM orden_abonos WHERE mov_id='$mov_id_eliminar'") or die(mysqli_error($con));
    $borrar_sql6=mysqli_query($con,"DELETE FROM movimientos WHERE mov_id='$mov_id_eliminar'") or die(mysqli_error($con));
    
    echo '<div class="alert alert-success alert-dismissable">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <strong> Abono eliminado correctamente.</strong>
    </div>';
}


if($mov_tipo_movimiento=='Abono adelantado')
{
    $sql=mysqli_query($con, "SELECT * from abono_adelantado WHERE movimientos_mov_id='$mov_id_eliminar' ");
    $sql=mysqli_fetch_array($sql);
    $abo_clie_id=$sql['abo_clie_id'];
    $sql2=mysqli_query($con, "SELECT * from cliente WHERE clie_id='$abo_clie_id'");
    $sql2=mysqli_fetch_array($sql2);
    $clie_nota_credito=$sql2['clie_nota_credito'];

    if($mov_total>$clie_nota_credito)
    {
        echo '<div class="alert alert-danger alert-dismissable">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
            <strong>No se pudo borrar, el cliente ya no cuenta con el saldo disponible.</strong>
        </div>';
    }
    else
    {
        $resta=$clie_nota_credito-$mov_total;
        $sql3=mysqli_query($con,"UPDATE cliente Set
                                clie_nota_credito='$resta'                   
                                Where clie_id='$abo_clie_id'") or  die(mysqli_error($con)); 
        $borrar_sql4=mysqli_query($con,"DELETE FROM abono_adelantado WHERE movimientos_mov_id='$mov_id_eliminar'") or die(mysqli_error($con));
        $borrar_sql5=mysqli_query($con,"DELETE FROM movimientos WHERE mov_id='$mov_id_eliminar'") or die(mysqli_error($con));
        
        echo '<div class="alert alert-success alert-dismissable">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
            <strong>Abono adelantado eliminado correctamente.</strong>
        </div>';
    }

   
}


if($mov_tipo_movimiento=='Abono cxc')
{
    $sql=mysqli_query($con, "SELECT * from venta_abonos WHERE mov_id='$mov_id_eliminar' ");
    $sql=mysqli_fetch_array($sql);
    $ventas_ven_id=$sql['ventas_ven_id'];
    $sql2=mysqli_query($con, "SELECT * from ventas WHERE ven_id='$ventas_ven_id' ");
    $sql2=mysqli_fetch_array($sql2);
    $ven_estado=$sql2['ven_estado'];
    $clie_id=$sql2['Cliente_clie_id'];
    $sql2=mysqli_query($con, "SELECT * from cliente where clie_id='$clie_id' and empresa='$empresa' ");
    $sql2=mysqli_fetch_array($sql2);
    $clie_disponible=$sql2['clie_disponible'];
    $resta=$clie_disponible-$mov_total;
    $registros=mysqli_query($con,"UPDATE cliente Set clie_disponible='$resta' Where clie_id='$clie_id' and empresa='$empresa'") or die(mysqli_error($con));

    if ($ven_estado=="pagada")
    {

        $sql3=mysqli_query($con,"UPDATE ventas Set ven_estado='sin pagar' Where ven_id='$ventas_ven_id'") or die(mysqli_error($con)); 
    }

    $borrar_sql4=mysqli_query($con,"DELETE FROM venta_abonos WHERE mov_id='$mov_id_eliminar'") or die(mysqli_error($con));
    $borrar_sql6=mysqli_query($con,"DELETE FROM movimientos WHERE mov_id='$mov_id_eliminar'") or die(mysqli_error($con));

    echo '<div class="alert alert-success alert-dismissable">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
            <strong> Eliminado correctamente.</strong>
        </div>';
}


if($mov_tipo_movimiento=='Devolucion de efectivo')
{
    $sql23=mysqli_query($con, "SELECT * from devolucion_nota_credito WHERE mov_id='$mov_id_eliminar'");
    $sql32=mysqli_fetch_array($sql23);
    $dnc_cliente=$sql32['dnc_cliente'];
    $sql21=mysqli_query($con, "SELECT * from cliente WHERE clie_id='$dnc_cliente'");
    $sql22=mysqli_fetch_array($sql21);
    $clie_nota_credito=$sql22['clie_nota_credito'];
    $suma=$clie_nota_credito+$mov_total;
    $sql3=mysqli_query($con,"UPDATE cliente Set
                                clie_nota_credito='$suma'                   
                                Where clie_id='$dnc_cliente'") or die(mysqli_error($con)); 
    $borrar_sql4=mysqli_query($con,"DELETE FROM devolucion_nota_credito WHERE mov_id ='$mov_id_eliminar'") or die(mysqli_error($con));
    $borrar_sql5=mysqli_query($con,"DELETE FROM movimientos WHERE mov_id='$mov_id_eliminar'")  or die(mysqli_error($con));

    echo '<div class="alert alert-success alert-dismissable">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
            <strong>Devolucion Eliminado correctamente.</strong>
        </div>';
}

if($mov_tipo_movimiento=='Comprobante de Egreso')
{
    $borrar_sql4=mysqli_query($con,"DELETE FROM egresos WHERE mov_id='$mov_id_eliminar'") or die(mysqli_error($con));
    $borrar_sql5=mysqli_query($con,"DELETE FROM movimientos WHERE mov_id='$mov_id_eliminar'")  or die(mysqli_error($con));

    echo '<div class="alert alert-success alert-dismissable">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
            <strong> Eliminado correctamente.</strong>
        </div>';
}

if($mov_tipo_movimiento=='Cuadre de Caja')
{
    $borrar_sql4=mysqli_query($con,"DELETE FROM egresos WHERE mov_id='$mov_id_eliminar'") or die(mysqli_error($con));
    $borrar_sql5=mysqli_query($con,"DELETE FROM movimientos WHERE mov_id='$mov_id_eliminar'")  or die(mysqli_error($con));

    echo '<div class="alert alert-success alert-dismissable">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
            <strong> Eliminado correctamente.</strong>
        </div>';
}

if($mov_tipo_movimiento=='Abono cxp')
{
    $sql=mysqli_query($con, "SELECT * from compra_abonos WHERE mov_id='$mov_id_eliminar'");
    $sql=mysqli_fetch_array($sql);
    $compras_com_id=$sql['compras_com_id'];
    $sql2=mysqli_query($con, "SELECT * from compras WHERE com_id='$compras_com_id'");
    $sql2=mysqli_fetch_array($sql2);
    $com_estado=$sql2['com_estado'];
    if($com_estado=='Pagado')
    {
        $sql3=mysqli_query($con,"UPDATE compras Set
                                com_estado='Sin pagar'                   
                                Where com_id='$compras_com_id'") or die(mysqli_error($con)); 
    }
    $borrar_sql4=mysqli_query($con,"DELETE FROM compra_abonos WHERE mov_id='$mov_id_eliminar'") or die(mysqli_error($con));
    $borrar_sql6=mysqli_query($con,"DELETE FROM movimientos WHERE mov_id='$mov_id_eliminar'") or die(mysqli_error($con));
    echo '<div class="alert alert-success alert-dismissable">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
            <strong> Eliminado correctamente.</strong>
        </div>';
}


if($mov_tipo_movimiento=='Traspaso')
{
    $borrar_sql4=mysqli_query($con,"DELETE FROM egresos WHERE mov_id='$mov_id_eliminar'") or die(mysqli_error($con));
    $borrar_sql5=mysqli_query($con,"DELETE FROM movimientos WHERE mov_id='$mov_id_eliminar'")  or die(mysqli_error($con));

    echo '<div class="alert alert-success alert-dismissable">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
            <strong> Eliminado correctamente.</strong>
        </div>';
}


?>